[general]
* Announcement: Support for Internet Explorer and the "old" Edge browser (not Chromium) will be discontinued with the next i-net HelpDesk version 21.4 in spring 2021
* Web applications of the i-net HelpDesk server can be installed as a standalone application (Progressive Web App - PWA)

[general:de]
* Ankündigung: Der Support für den Internet Explorer und den "alten" Edge Browser (nicht Chromium) wird mit der nächsten i-net HelpDesk Version 21.4 im Frühjahr 2021 eingestellt
* Web-Anwendungen des i-net HelpDesk-Servers können als eigenständige Anwendung (Progressive Web App - PWA) installiert werden

[changes]
* Web application **Tickets**:
  * If there is only one end-user text module, it will be inserted into the ticket text when a new ticket is created
* **i-net HelpDesk Mobile for Android™**:
  * several bug fixes and improvements
  * Android 6 is now minimum requirement
  * removed permissions that are no longer necessary
  * no support for invalid SSL certificates for security reasons
* Web application **Tickets**:
  * Double-clicking on the name in the "To" field of the email now displays the name and email address of the recipient and can be edited if necessary
  * The action "Bundle" is only displayed if the selected tickets can also be bundled
  * The sorting of the action list now takes into account how often an action has been used. More frequently used actions appear further in front
  * E-mails can now be sent with the key combination CTRL+ENTER
  * When clicking on an external link in tickets, the browser should not send a referer
  * Categories that are hidden for end users are also hidden when creating tickets in the web interface
  * Ticket extensions now show hints when it makes sense to show them for a ticket. This applies to unbundling of bundled tickets, for example. These hints can be permanently hidden individually
  * Various UI improvements of the web application, especially for Internet Explorer 11
  * Mandatory fields are now offered for the execution of an edit action, if their setting or modification is necessary before the edit is executed
  * Performance of phrase search has been improved and phrase search is now enabled again
  * Linking of the phone number using tel: log in the user details. The phone number does not need to be changed for this
  * Multiple editing of tickets in the web application is now done with progress indicator and option to cancel
  * The option "do not send an automail" to the ticket owner is now available in "New ticket", "Authorize" and when applying exit actions
  * The style of the scroll bar in Chromium browsers has been optimized. The click area has been increased and more width is available when hovering
  * **Ticket Views**
      * Views for ITIL master tickets added
      * Last view is restored when an executed search is deleted
      * In the view settings it is now possible to configure the dependencies to other views
      * The view "Open tickets" is now also visible for the end user as long as the rights to the view are not restricted
      * View grouping for processes added
* **Maintenance**:
  * The performance of the maintenance module user interface has been improved for a large number of users
  * It is now possible to restore backups that were not created with the current version. The backup is checked to see if it is compatible with the current version and can be restored
  * New notifications are now displayed directly in the web application when notifications are disabled or not possible in the operating system
* **Configuration**:
  * The default value for the duration of the resubmission can be set in the configuration under "Tickets"
  * If one or more mailboxes are changed in "Inbox server", only changed mailboxes are checked. In addition, the button "Check connection to all mail servers" has been added
  * Added a note to the configuration property "Restrict permissions" in the "Users & Groups" dialog that if deactivated, all users have administrative access!
  * Added an option under "Client" to hide the desktop application on the start page for end-users only
* Improved notification to administrators that occurs when users log on to the Windows domain incorrectly
* SameSite=Lax attribute is set for login cookies
* Added new group "Supporter". This group includes all helpdesk users who have either the "Dispatcher" or "Read all tickets" privilege or who are members of at least one resource
* In case of license violations, the notification is displayed in the client
* Performance improved for large databases (more than 100 thousand tickets)
* The "Send and Finish" function - For the calculation of time, i-net HelpDesk Server creates an "Auto Finish" realization step. This allows the resource person - or the i-net HelpDesk Server - to make further changes to the ticket without changing the ticket's status and without moving the time for automatic termination

[changes:de]
* Web-Anwendung **Tickets**:
  * Gibt es nur einen Endanwender-Textbaustein, dann wird dieser bei Erstellung eines neuen Tickets in den Anfragentext eingefügt
* **i-net HelpDesk Mobile für Android™**:
  * mehrere Bugfixes und Verbesserungen
  * Android 6 ist nun Mindestvoraussetzung
  * nicht mehr notwendige Berechtigungen entfernt
  * aus Sicherheitsgründen keine Unterstützung ungültiger SSL Zertifikate 
* Web-Anwendung **Tickets**:
  * Mit einem Doppelklick auf den Namen im "An" Feld des E-Mails kann man nun den Namen und die E-Mail-Adresse des Empfängers anzeigen lassen und ggf. editieren
  * Die Aktion "Bündeln" wird nur angezeigt, wenn die ausgewählten Tickets auch gebündelt werden können
  * Bei bei der Sortierung der Aktionenliste wird nun beachtet, wie häufig eine Aktion genutzt wurde. Häufiger genutzte Aktionen erscheinen weiter vorne
  * E-Mails können jetzt mit der Tastenkombination STRG+ENTER abgesendet werden 
  * Beim Klicken auf einen externen Link in Tickets soll der Browser keinen Referer senden
  * Kategorien die für Endbenutzer ausgeblendet sind, werden auch beim Erstellen von Tickets in der Weboberfläche ausgeblendet
  * Ticket-Erweiterungen zeigen nun Hinweise an, wenn deren Einblendung für ein Ticket sinnvoll ist. Das trifft z.B. auf Entbündeln von gebündelte Tickets zu. Diese Hinweise können einzeln dauerhaft ausgeblendet werden
  * Diverse UI Verbesserungen der Web-Anwendung, besonders für den Internet Explorer 11
  * Pflichtfelder werden nun für das Ausführen einer Bearbeitungsaktion mit angeboten, wenn deren Setzen oder Ändern notwendig ist, bevor die Bearbeitung durchgeführt wird
  * Performance der Phrasensuche wurde verbessert und die Phrasensuche ist nun wieder aktiviert
  * Verlinkung der Telefonnummer mittels tel:-Protokoll in den Benutzer-Details. Die Telefonnummer muss dafür nicht geändert werden
  * Mehrfachbearbeitung von Tickets in der Web-Anwendung erfolgt nun mit Fortschrittsanzeige und Möglichkeit zum Abbrechen 
  * Die Option "keine Automail versenden" an den Ticketinhaber ist nun bei "Neues Ticket", "Autorisieren" und beim Anwenden von Beenden-Aktionen verfügbar
  * Der Style der Scrollleiste in Chromium-Browsern wurde optimiert. Die Klickfläche wurde vergrößert und es steht mehr Breite beim Hovern zur Verfügung
  * **Ticket-Views**
      * Views für ITIL-Master-Tickets hinzugefügt
      * Letzte View wird wiederhergestellt, wenn eine ausgeführte Suche gelöscht wird
      * In den View Einstellungen ist es nun möglich, die Abhängigkeiten zu anderen Views zu konfigurieren
      * Die View "Offene Tickets" ist jetzt auch für den Endnutzer sichtbar, solange die Rechte an der View nicht eingeschränkt werden
      * View-Gruppierung für Prozesse hinzugefügt
* **Wartung**:
  * Die Leistung der Benutzeroberfläche des Wartungsmoduls wurde für eine große Anzahl von Benutzern verbessert
  * Es ist nun möglich Sicherungen wiederherzustellen, die nicht mit der aktuellen Version erstellt wurden. Die Sicherung wird daraufhin geprüft, ob sie mit der aktuellen Version kompatibel ist und wiederhergestellt werden kann
  * Neue Benachrichtigungen werden nun direkt in der Web-Anwendung angezeigt, wenn Benachrichtigungen im Betriebssystem deaktivert oder nicht möglich sind
* **Konfiguration**: 
  * Der Standardwert für die Dauer der Wiedervorlage ist in der Konfiguration unter "Tickets" einstellbar
  * Wird in "Posteingangsserver" ein oder mehrere Postfächer geändert, werden nur geänderte Postfächer geprüft. Außerdem wurde die Schaltfläche "Verbindung zu allen E-Mail Server prüfen" hinzugefügt
  * Hinweis zur Konfigurationseigenschaft "Berechtigungen einschränken" im Dialog "Benutzer & Gruppen" hinzugefügt, dass bei Deaktivierung alle Benutzer administrativen Zugriff haben!
  * Unter "Client" wurde eine Option zum Ausblenden der Desktop-Anwendung auf der Startseite für reine Endnutzer hinzugefügt 
* Benachrichtigung an die Administratoren verbessert, die bei fehlerhafter Anmeldung von Benutzern an der Windows Domäne auftritt
* SameSite=Lax Attribute wird gesetzt für Login Cookies
* Neue Gruppe "Supporter" hinzugefügt. In dieser Gruppe sind alle Helpdesk-Benutzer enthalten, die entweder das Recht "Dispatcher" oder "Alle Tickets lesen" haben oder die in mindestens einer Ressource Mitglied sind
* Bei Lizenzüberschreitungen wird die Benachrichtigung im Client angezeigt
* Performance verbessert für große Datenbanken (mehr als 100 Tausend Tickets)
* Die Funktion "Senden und Beenden" - Für die Berechnung der Zeit wird vom i-net HelpDesk Server ein Realisierungsschritt "Automatische Beendigung" erstellt. Damit ist es dem Ressource-Mitarbeiter - oder dem i-net HelpDesk Server - möglich, an dem Ticket weitere Veränderungen vorzunehmen, ohne den Status des Tickets zu verändern und ohne, dass sich die Zeit für die automatische Beendigung verschiebt

[bugfixes]
* In the auto-email after authorization, the data about the dispatcher and the email address were missing
* It was not possible to log in to the web interface if a localhost URL was used for this in the Chrome browser
* A timeout error occurred during indexing
* The "Fill mandatory field Category" error occurred in the "Send email" dialog of the desktop client
* **Configuration**:
  * Under Connections, "Other databases" it was not possible to create a database connection with driver type: other. The URL was not saved
* **Notifications**:
  * Send notification to all administrators only if a mailbox is permanently unavailable
  * Notifications to resource were not sent when authorizing a ticket
  * Notifications to resource did not work for inherited resource memberships
* **Configuration**: Custom theme was not removed from configuration without restarting i-net HelpDesk server, although theme folder was deleted. Now theme is removed from configuration after theme folder is deleted
* **Help**: Performance of the search in the help and the whole help module improved
* **Ticket Index**: Fatal error (IllegalArgumentException) occurred in Search Index when a Tcket view contained [Status:<"Done"]
* **Desktop Application**:
  * Sort by category was incorrectly sorted
  * AccessDenied exceptions occurred when authorizing, terminating or escalating tickets
  * The size of the maximized desktop application was wrong when using Java 11.0.8, Java 15 or newer
  * The i-net HelpDesk application did not connect to the i-net HelpDesk server when only one i-net HelpDesk server was found
  * No auto-email was sent when the Exit action was selected in the Edit tab of the desktop application
* **Tickets**:
  * Free fields that are invisible for the end user were also invisible for a supporter (member of a resource)
  * Change steps are no longer added for fields that have not been changed
  * Although a personal text module was stored as e-mail signature, the text module available for all users was used as e-mail signature
  * The error java.lang.NumberFormatException occurred when searching for phrases in tickets without a restrictive tag like subject
  * Write lock of the ticket details in the web application when saving without making any changes also released
  * Tickets were listed twice in the web application after a workflow was applied in the desktop application
  * Links to sub-tickets were not updated after unbundling
  * Forward action did not include ticket attachments. Externally linked images are now always added as a separate attachment when edited and emailed
  * In the ticket extension "Links" the link in a bundled sub ticket was not updated after this ticket was bundled or unbundled
  * View grouping for a task was incorrect
  * Inserting text modules via shortcut and F3 did not always work correctly in the text editor
  * After a new ticket is created in the web application "Tickets", no auto-email is sent to the dispatcher
  * If a new ticket is authorized, an auto-email is also sent to the dispatcher
* **Maintenance**: The error "No handler found for event 'ticketlist.reIndexActive'" has occurred
* When reading emails, attachments could not be saved in the system temporary folder because the destination folder was missing. The missing folder is now created beforehand
* Workflows could become invalid under certain rare circumstances
* Database errors with 'was deadlocked on' were not handled by the server but only written to the log
* Inheritance of rights of sub-resources without own members: members of the main resource inherit the rights of sub-resource if it has no members
* Performance problems occurred when updating from i-net HelpDesk version 8.3 or older if an Oracle database was used
* Also locally installed certificates are accepted for HTTPS
* A bundled ticket was not always set to 'unread' by a new email
* The resubmission date was deleted after an action with status 'Unchanged' (like bundling), although the status of the ticket is still resubmission
* E-mails could not be read (timeout), if the e-mail text contained linked images, which could not be loaded, e.g. because the server was located in a closed intranet
* Adding images with the same name led to confusion of the files. Occurred e.g. also in the knowledge base when inserting screenshots from the clipboard
* After updating to version 20.10, embedded images were no longer displayed in knowledge base articles. Problem was fixed in setup/update
* Error occurred when updating user data if no domain was specified for LDAP connection
* Error occurred when a TicketID consisting of two words was entered in the "Identify order number in e-mail subject" field in the configuration. Saving was then not possible
* When printing a ticket from the web application "Tickets", the content of the request was missing from the printout
* **Security**: Open Redirect vulnerability encountered (CVE-2020-28150)
* **Mobile Clients**:
  * Fixed HTML and plain text display for the mobile clients
  * Target time was not saved for requests by the mobile clients
  * Android App is available again in the Google Playstore
  * Bugfix for Firefox not allowing focus in the links dialog of the editor

[bugfixes:de]
* In der Auto-E-Mail nach Autorisierung fehlten die Daten zum Dispatcher und der E-Mail Adresse
* Es war nicht möglich, sich an der Web-Oberfläche anzumelden, wenn dafür eine Localhost-URL im Chrome Browser genutzt wurde
* Ein Timeout Fehler ist während der Indizierung aufgetreten
* Der Fehler "Fill mandatory field Category" im "E-Mail senden" Dialog des Desktop-Client aufgetreten
* **Konfiguration**:
  * Unter Verbindungen, "Weitere Datenbanken" war es nicht möglich eine Datenbankverbindung mit dem Treiber-Typ: Andere anzulegen. Die URL wurde nicht gespeichert
* **Benachrichtigungen**:
  * Benachrichtigung an alle Administratoren nur senden, wenn ein Postfach dauerhaft nicht erreichbar ist
  * Benachrichtigungen an Ressource wurden beim Autorisieren eines Tickets nicht versendet
  * Benachrichtigungen an Ressourcen funktionierte nicht für vererbte Ressource-Mitgliedschaften
* **Konfiguration**: Benutzerdefiniertes Theme wurde ohne Neustart des i-net HelpDesk Servers nicht aus der Konfiguration entfernt, obwohl der Theme-Ordner gelöscht wurde. Jetzt wird das Theme aus der Konfiguration entfernt, nachdem der Theme-Ordner gelöscht wurde 
* **Hilfe**: Performance der Suche in der Hilfe und des gesamten Hilfemoduls verbessert
* **Ticket-Index**: Fataler Fehler (IllegalArgumentException) im Search Index aufgetreten, wenn eine Tcket-View [Status:<"Erledigt"] enthielt
* **Desktop-Anwendung**:
  * Sortierung nach Kategorie war falsch sortiert
  * AccessDenied-Exceptions traten beim Autorisieren, Beenden oder Eskalieren von Tickets auf
  * Die Größe der maximierten Desktop-Anwendung war falsch wenn Java 11.0.8, Java 15 oder neuer verwendet wurde
  * Die i-net HelpDesk Anwendung baute keine Verbindung zum i-net HelpDesk Server auf, wenn nur ein i-net HelpDesk Server gefunden wurde
  * Es wurde keine Auto-E-Mail gesendet, wenn im Bearbeiten Tab der Desktop-Anwendung die Aktion Beenden ausgewählt wurde
* **Tickets**:
  * Freifelder, die für den Endnutzer unsichtbar sind waren auch für einen Supporter (Mitglied einer Ressource) nicht sichtbar
  * Es werden keine Änderungsschritte für nicht geänderte Felder mehr hinzugefügt
  * Obwohl ein persönlicher Textbaustein als E-mail Signatur hinterlegt war, wurde der für alle Benutzer verfügbare Textbaustein als E-mail Signatur verwendet
  * Der Fehler java.lang.NumberFormatException ist bei der Phrasensuche in Tickets ohne einschränkenden Tag wie z.B. Betreff aufgetreten
  * Schreiblock der Ticket-Details in der Web-Anwendung beim Speichern ohne Änderungen auch freigeben
  * Tickets wurden in der Web-Anwendung doppelt aufgelistet nachdem ein Workflow in der Desktop-Anwendung angewendet wurde
  * Links auf Untertickets wurden nach dem Entbündeln nicht aktualisiert
  * Aktion Weiterleiten beinhaltete nicht die Anlagen des Tickets. Extern verlinkte Bilder werden jetzt immer bei Bearbeitung und Email als eigene Anlage hinzugefügt
  * In der Ticket-Erweiterung "Verlinkungen" wurde der Link in einem gebündelten Unterticket nicht aktualisiert, nachdem dieses Ticket gebündelt oder entbündelt wurde
  * View-Gruppierung für eine Aufgabe war fehlerhaft
  * Das Einfügen der Textbausteine über Shortcut und F3 hat im Texteditor nicht immer korrekt funktioniert
  * Nach neuem Ticket in der Web-Anwendung "Tickets" wird keine Auto-E-Mail an den Dispatcher gesendet
  * Wird ein neues Ticket autorisiert, wird auch eine Auto-E-Mail an den Dispatcher gesendet
* **Wartung**: Der Fehler "No handler found for event 'ticketlist.reIndexActive'" ist aufgetreten
* Beim Einlesen von E-Mails konnten Anhänge nicht im temporären Ordner des Systems gespeichert werden, da der Zielordner fehlte. Der nicht mehr vorhandene Ordner wird nun vorher neu erstellt
* Workflows konnten unter bestimmten seltenden Umständen ungültig werden
* Datenbank-Fehler mit 'was deadlocked on' wurden vom Server nicht behandelt sondern nur ins Log geschrieben
* Vererbung der Rechte von Subresourcen ohne eigene Mitglieder: Mitglieder der Haupt-Ressource erben die Rechte von sub-Ressource, wenn diese keine Mitglieder hat
* Performance Probleme beim Update von i-net HelpDesk Version 8.3 oder älter aufgetreten, wenn eine Oracle Datenbank verwendet wurde
* Auch lokal installierte Zertifikate werden für HTTPS akzeptieren
* Ein gebündeltes Ticket wurde durch ein neue Email nicht immer auf 'ungelesen' gesetzt
* Das Datum der Wiedervorlage wurde nach einer Aktion mit Status "Unverändert" (wie z.B. Bündeln) gelöscht, obwohl der Status des Tickets weiterhin Wiedervorlage ist
* E-mails konnten nicht eingelesen werden (timeout), wenn im E-mail Text verlinkte Bilder enthalten waren, die aber nicht geladen werden konnten, weil der Server sich z.B. im abgeschotteten Intranet befand
* Hinzufügen von Bildern mit dem gleichen Namen hat zu Verwechselungen der Dateien geführt. Trat z.B. auch in der Wissensbasis beim Einfügen von Screenshots aus der Zwischenablage auf
* Nach Update auf Version 20.10 wurden eingebettete Bilder in Wissensbasis-Artikeln nicht mehr angezeigt. Problem wurde im Setup/Update behoben
* Fehler bei Aktualisierung von Benutzerdaten aufgetreten, wenn bei der LDAP-Verbindung keine Domäne angegeben wurde
* Fehler aufgetreten, wenn im Feld "Kennzeichnung der Auftragsnummer im E-Mail-Betreff" in der Konfiguration eine TicketID bestehend aus zwei Worten eingegeben wurde. Ein Abspeichern war dann nicht möglich
* Beim Drucken eines Tickets aus der Web-Anwendung "Tickets" fehlte der Inhalt der Anfrage im Ausdruck 
* **Sicherheit**: Open Redirect Sicherheitslücke aufgetreten (CVE-2020-28150)
* **Mobile Clients**:
  * HTML- und Plaintext Anzeige für die mobilen Clients behoben
  * Sollzeit wurde bei Anfragen durch die mobilen Clients nicht gespeichert
  * Android App ist wieder im Google Playstore verfügbar
  * Bugfix für Firefox, der keinen Fokus in den Links-Dialog des Editors erlaubt

[security]

[security:de]
